Subject: Re: Filesystems not unmounted on reboot

From: Rutherther <[email-masked]>
Date: Thu, 03 Apr 2025 11:37:53 +0200

Hello, yes, I shared a (manual) reproducer earlier in this thread. But as I was saying, it was only for commits from Ian's initial email. I was unable to reproduce with same steps after updating to newest (which among other things has shepherd 1.0.3, but I havent bisected to see what commit has fixed the case I got into). Unfortunately people still seem to experience it, so I must have seen other issue / just one possible cause of this one when there are several. I havent sent the final config, one change to it I shared was just mentioned in text. I can send the final config later. I was able to get error on unmounting every time I run reconfigure or just the upgrade shepherd services script.

On April 3, 2025 11:19:45 AM GMT+02:00, "Ludovic Courtès" <[email-masked]> wrote:
>Hello,
>
>Rutherther <[email-masked]> skribis:
>
>>> There’s a system test, “root-unmount” in (gnu tests base), but it
>>> succeeds: <https://ci.guix.gnu.org/build/9790935/details>.
>>
>> Thanks for pointing out this test, good to know about it, although it's
>> not exactly what I had in mind. I was able to reproduce previously by
>> running the upgrade-shepherd-services.scm that is ran upon reconfigure,
>> without it, root fs unmounted cleanly. So the test I had in mind would
>> be to test that when shepherd is upgraded like this, there aren't
>> changes to how the services are stopped.
>
>I’m not sure I understand: do you have a reproducer in a VM, either
>manual or automatic?  If you do, please share; if it’s manual, you can
>share the steps you followed.
>
>Thanks in advance! :-)
>
>Ludo’.